=== tests/Makefile ===

all:

.PHONY: check abstract-config
check: abstract-config

abstract-config: abstract-config-tests.pl
	perl -I.. ./abstract-config-tests.pl
