=== debian/changelog ===
libpve-guest-common-perl (5.1.6) bookworm; urgency=medium

  * vzdump common: fix syntax error that's failing to load some daemons

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Nov 2024 08:38:39 +0100

libpve-guest-common-perl (5.1.5) bookworm; urgency=medium

  * vzdump: do not declare PBS change-detection mode as experimental anymore

  * abstract config: add abstract method to check for resources preventing a
    snapshot

 -- Proxmox Support Team <support@proxmox.com>  Sun, 17 Nov 2024 18:33:11 +0100

libpve-guest-common-perl (5.1.4) bookworm; urgency=medium

  * mappings: improve clarity of error messages

  * mapping: pci: ensure all desired properties are checked

  * vzdump common: allow 'job-id' as a parameter without being in schema to
    allow making it matchable metadata for in the notification system.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 22 Jul 2024 19:15:05 +0200

libpve-guest-common-perl (5.1.3) bookworm; urgency=medium

  * vzdump: schema: add PBS change detection mode configuration

 -- Proxmox Support Team <support@proxmox.com>  Mon, 10 Jun 2024 13:59:12 +0200

libpve-guest-common-perl (5.1.2) bookworm; urgency=medium

  * storage tunnel: fix schema definitions and adhere to it when sending
    disk-import parameters

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 May 2024 19:22:22 +0200

libpve-guest-common-perl (5.1.1) bookworm; urgency=medium

  * replication: snapshot cleanup: only attempt to remove snapshots that exist
    to fix a minor regression of the last 5.1.0 release

 -- Proxmox Support Team <support@proxmox.com>  Thu, 18 Apr 2024 10:19:51 +0200

libpve-guest-common-perl (5.1.0) bookworm; urgency=medium

  * replication: prepare: include volumes without snapshots in the result

  * replication: find common base: improve error when no common base snapshot
    exists

  * replication: avoid that (container) volumes that have the replicate
    setting turned off explicitly get replicated in some cases.

  * vzdump: schema: add fleecing property string

  * guest helpers: add helper to abort active guest tasks of a certain type

 -- Proxmox Support Team <support@proxmox.com>  Wed, 17 Apr 2024 17:39:48 +0200

libpve-guest-common-perl (5.0.6) bookworm; urgency=medium

  * vzdump: mark the mailto, mailnotification, notification-target and
    notification-policy as deprecated.

  * vzdump: add 'notification-mode' param for backup jobs

 -- Proxmox Support Team <support@proxmox.com>  Tue, 21 Nov 2023 13:31:10 +0100

libpve-guest-common-perl (5.0.5) bookworm; urgency=medium

  * replication: avoid passing removed storages to target

  * partially fix #3069: vzdump config schema: add 'pbs-entries-max' property

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Sep 2023 16:47:16 +0200

libpve-guest-common-perl (5.0.4) bookworm; urgency=medium

  * minor documentation fixups

  * convert log level to lower-case in logging base method

  * vzdump: use worker aware log_warn from rest environment for warn level

  * vzdump: add options for new notification backend

 -- Proxmox Support Team <support@proxmox.com>  Mon, 24 Jul 2023 15:21:15 +0200

libpve-guest-common-perl (5.0.3) bookworm; urgency=medium

  * abstract config: add method to calculate derived properties from a config

 -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2023 19:35:22 +0200

libpve-guest-common-perl (5.0.2) bookworm; urgency=medium

  * add helper for checking access to common bridges and SDN vNets for guests

  * add PCI/USB Mapping configs

  * vzdump: config: improve description of ionice setting

 -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2023 19:21:11 +0200

libpve-guest-common-perl (5.0.1) bookworm; urgency=medium

  * vzdump: improve description of bwlimit parameter

  * vzdump: change 'exclude-path' from '-alist' to an array format

 -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2023 13:28:44 +0200

libpve-guest-common-perl (5.0.0) bookworm; urgency=medium

  * switch to native versioning scheme

  * build for the Debian 12 Bookworm based Proxmox VE 8.x series

 -- Proxmox Support Team <support@proxmox.com>  Mon, 22 May 2023 13:13:51 +0200

libpve-guest-common-perl (4.2-4) bullseye; urgency=medium

  * fix #4572: config: also update volume IDs in pending section

  * config: ensure definedness for iterating pending & snapshot volumes

 -- Proxmox Support Team <support@proxmox.com>  Thu, 16 Mar 2023 11:54:00 +0100

libpve-guest-common-perl (4.2-3) bullseye; urgency=medium

  * tag helpers: add get_unique_tags method for filtering out duplicates

 -- Proxmox Support Team <support@proxmox.com>  Mon, 21 Nov 2022 08:17:33 +0100

libpve-guest-common-perl (4.2-2) bullseye; urgency=medium

  * add tag related helper methods

 -- Proxmox Support Team <support@proxmox.com>  Thu, 17 Nov 2022 13:13:57 +0100

libpve-guest-common-perl (4.2-1) bullseye; urgency=medium

  * add VZDump::JobBase, split out from manager

  * vzdump: handle new jobs.cfg when removing VMIDs from backup jobs

 -- Proxmox Support Team <support@proxmox.com>  Sat, 12 Nov 2022 16:52:04 +0100

libpve-guest-common-perl (4.1-4) bullseye; urgency=medium

  * vzdump: add 'performance' property string as a setting

 -- Proxmox Support Team <support@proxmox.com>  Wed, 12 Oct 2022 14:01:36 +0200

libpve-guest-common-perl (4.1-3) bullseye; urgency=medium

  * vzdump config: limit notes template to maximal 1024 characters and update
    description

  * replication state: purge state from non local guests to avoid issues when
    guests are moved either manually (not recommended) or by HA on recovery

  * replication state: deterministically order replication jobs, improving
    handling multiple jobs for the same guest

  * replication: also consider storages from replication state upon removal to
    prevent left-over volume(s) in some edge cases

 -- Proxmox Support Team <support@proxmox.com>  Tue, 27 Sep 2022 13:15:50 +0200


