=== debian/control ===
Source: libpve-guest-common-perl
Section: perl
Priority: optional
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: debhelper-compat (= 13),
               libpve-cluster-perl,
               libpve-common-perl,
               libpve-storage-perl (>= 7.2-6),
               pve-cluster,
Standards-Version: 4.6.2
Homepage: https://www.proxmox.com

Package: libpve-guest-common-perl
Architecture: all
Depends: libpve-access-control,
         libpve-cluster-perl (>= 7-2-3),
         libpve-common-perl (>= 8.0.2),
         libpve-storage-perl (>= 7.0-14),
         proxmox-websocket-tunnel,
         pve-cluster,
         ${misc:Depends},
         ${perl:Depends},
Breaks: libpve-common-perl (<< 4.0-89),
        libpve-http-server-perl (<< 5.0.2),
        pve-container (<< 3.1-4),
        pve-manager (<< 8.0.0~7),
        qemu-server (<< 6.1-19),
Replaces: libpve-common-perl (<< 4.0-89), pve-manager (<< 4.4-10),
Description: Proxmox VE common guest-related modules
 This package contains a common code base for Proxmox VE guests. It is mainly
 used by pve-container and qemu-server.
